//* -------------- Циклы --------------

// Циклы (cycles) простой способ сделать какое-то действие несколько раз

//* while

// Код из тела цикла выполняется, пока условие condition истинно

// while(condition) {
//    тело цикла
// }

// Одно выполнение тела цикла называется итерация

let i = 0;

while (i < 3) { // выводит 0, затем 1, затем 2
   alert(i);
   i++;
}

// Если бы строка i++ отсутствовала в примере выше, то цикл бы повторялся вечно
// while (i) – более краткий вариант while (i != 0)

//* do-while

// Цикл сначала выполнит тело, а затем проверит условие condition, и пока его значение равно true, он будет выполняться снова и снова

// do {
//    тело цикла
//  } while (condition);

//* for

for (let i = 0; i < 3; i++) {
   console.log(i);
}

// for (; i < 3; i++)  // нет необходимости в начале

// break - преащает выполнение цикла

// continue - цикл не прерывается, а переходит к следующей итерации

for (let i = 0; i <= 100; i++) {
   if (i % 2 !== 0 || i === 0) {
      continue;
   }

   console.log(i);
}
